<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__hal__results__hwmgr" kind="group">
    <compoundname>group_hal_results_hwmgr</compoundname>
    <title>HWMGR HAL Results</title>
      <sectiondef kind="define">
      <memberdef id="group__group__hal__results__hwmgr_1ga523569a6a6f28336355d86cadae15475" kind="define" prot="public" static="no">
        <name>CYHAL_HWMGR_RSLT_ERR_INVALID</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005aa31caff90dfe21b862ea4c4d034208b6">CYHAL_RSLT_MODULE_HWMGR</ref>, 0))</initializer>
        <briefdescription>
<para>The requested resource type is invalid. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_hwmgr.h" bodystart="74" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_hwmgr.h" line="74" />
      </memberdef>
      <memberdef id="group__group__hal__results__hwmgr_1gae0a6a33301516f2b2040a5c47cdb339c" kind="define" prot="public" static="no">
        <name>CYHAL_HWMGR_RSLT_ERR_INUSE</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005aa31caff90dfe21b862ea4c4d034208b6">CYHAL_RSLT_MODULE_HWMGR</ref>, 1))</initializer>
        <briefdescription>
<para>The requested resource is already in use. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_hwmgr.h" bodystart="77" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_hwmgr.h" line="77" />
      </memberdef>
      <memberdef id="group__group__hal__results__hwmgr_1gaf992c3f39501527bd0ae5ef0599af73e" kind="define" prot="public" static="no">
        <name>CYHAL_HWMGR_RSLT_ERR_NONE_FREE</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005aa31caff90dfe21b862ea4c4d034208b6">CYHAL_RSLT_MODULE_HWMGR</ref>, 2))</initializer>
        <briefdescription>
<para>No resources of the requested type are available. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_hwmgr.h" bodystart="80" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_hwmgr.h" line="80" />
      </memberdef>
      <memberdef id="group__group__hal__results__hwmgr_1ga3f62c6c91a83ade984537394dd5d048a" kind="define" prot="public" static="no">
        <name>CYHAL_HWMGR_RSLT_WARN_UNUSED</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga5aa8f2db241158e42052d8940045d2a0">CY_RSLT_TYPE_WARNING</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005aa31caff90dfe21b862ea4c4d034208b6">CYHAL_RSLT_MODULE_HWMGR</ref>, 50))</initializer>
        <briefdescription>
<para>Attempt to free a resource that was not used. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_hwmgr.h" bodystart="83" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_hwmgr.h" line="83" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>HWMGR specific return codes. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>